package com.cool.bang.api;

import com.cool.bang.modules.mysql.service.AccountService;
import com.cool.bang.modules.mysql.service.MySQLSecondService;
import com.cool.bang.modules.mysql.service.MySQLService;
import com.cool.bang.modules.mysql.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/match")
public class DataMatch {

    @Resource
    private MySQLService mySQLService;
    @Autowired
    private MySQLSecondService mySQLSecondService;

    @Resource
    private UserService userService;

    @Resource
    private AccountService accountService;

    /**
     * 用户表导入
     */
    @GetMapping("user")
    public void user () {
        userService.execute();
    }

    /**
     * 账户表导入
     */
    @GetMapping("account")
    public void account(){
        accountService.execute();
    }

    /**
     * 项目表导入
     */
    @GetMapping("project")
    public void project(){
        mySQLService.project();
    }

    /**
     * 项目虚拟户、楼幢虚拟户表导入
     */
    @GetMapping("projectAccount")
    public void projectAccount(){
        mySQLService.projectAccount();
    }

    /**
     * 托管申请业务 托管协议导入
     */
    @GetMapping("trusteeshipBusiness")
    public void trusteeshipBusiness(){
        mySQLService.trusteeshipBusiness();
    }

    /**
     * 监管开户申请业务表导入
     */
    @GetMapping("superviseBusiness")
    public void superviseBusiness(){
        mySQLService.superviseBusiness();
    }

    /**
     * 项目解除业务信息导入
     */
    @GetMapping("relieve")
    public void relieve(){
        mySQLService.relieve();
    }

    /**
     * 监管开户解除业务表导入
     */
    @GetMapping("superviseRelieve")
    public void superviseRelieve(){
        //mySQLService.superviseRelieve();
    }

    /**
     * 监管资金转托管业务表、明细表导入
     */
    @GetMapping("superviseTo")
    public void superviseTo(){
        mySQLService.superviseTo();
    }

    /**
     * 工程形象进度业务表、明细表导入
     */
    @GetMapping("progressBusiness")
    public void progressBusiness() {
        mySQLService.progressBusiness();
    }

    /**
     * 拨付业务信息导入
     */
    @GetMapping("appropriation")
    public void appropriation() {
        mySQLService.trusteeshipAppropriation();
        mySQLService.superviseAppropriation();

    }

    /**
     * 合同
     */
    @GetMapping("htTo")
    public void htTo(){
        mySQLService.htTo();
    }


    /**
     *交存
     */
    @GetMapping("htPayTo")
    public void htPayTo(){
        mySQLService.htPayTo();
    }


    /**
     * 定金
     */
    @GetMapping("djTo")
    public void djTo(){
        mySQLService.djTo();
    }


    /**
     * 退款（合同）
     */
    @GetMapping("refundTo")
    public void refundTo(){
        mySQLSecondService.refundTo();
    }


    /**
     * 交易 待对账
     */
    @GetMapping("tradeDDZTo")
    public void tradeDDZTo(){
        mySQLSecondService.tradeDDZTo();
    }

    /**
     * 交易 托管
     */
    @GetMapping("tradeTgTo")
    public void tradeTgTo(){
        mySQLSecondService.tradeTgTo();
    }

    /**
     * 对账
     */
    @GetMapping("accountChecking")
    public void accountChecking(){
        mySQLSecondService.accountChecking();
    }

    /**
     * 托管账户对账
     */
    @GetMapping("bankAccountChecing")
    public void bankAccountChecing(){mySQLSecondService.bankAccountChecing();}


    /**
     * 托管合同交存跟交易对账
     */
    @GetMapping("contractFundCheckTrade")
    public void contractFundCheckTrade(){mySQLSecondService.contractFundCheckTrade();}


    /**
     * 楼栋解除
     */
    @GetMapping("buildingRelieve")
    public void buildingRelieve(){
        mySQLSecondService.buildingRelieve();
    }

}
