package com.cool.bang.modules.mysql.domain;

import com.cool.bang.modules.oracle.domain.po.Bfxx;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 拨付申请
 */
public class Appropriation {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 银行编号 */
    private String bankCode;

    /** 企业主键 */
    private Integer orgId;

    /** 开发企业 */
    private String orgName;

    /** 项目主键 */
    private Long projectId;

    /** 项目虚拟户主键 */
    private Long projectAccountId;

    /** 项目编码 */
    private String projectNumber;

    /** 项目名称 */
    private String projectName;

    /** 联系人*/
    private String director;

    /** 联系电话*/
    private String phone;

    /** 申请类型 1额度内资金 2额度外资金 */
    private Integer applicationType;

    /** 拨付账户主键 */
    private Long appropriationAccountId;

    /** 拨付银行 */
    private String appropriationBank;

    /** 拨付户名 */
    private String appropriationName;

    /** 拨付账号 */
    private String appropriationAccount;

    /** 开户网点 */
    private String appropriationOpenAddress;

    /** 收款账户主键 */
    private Long collectionAccountId;

    /** 收款银行 */
    private String collectionBank;

    /** 收款户名 */
    private String collectionName;

    /** 收款账号 */
    private String collectionAccount;

    /** 开户网点 */
    private String collectionOpenAddress;

    /** 账户类型 1监管账户 2一般账户 3其他账户 */
    private Integer collectionType;

    /** 拨付类型 1托管拨付 2监管拨付 3政府拨付 */
    private Integer appropriationType;

    /** 申请资金 */
    private BigDecimal applyAmount;

    /** 资金用途 */
    private String purpose;

    /** 流程号 */
    private String flowNumber;

    /** 流程节点主键 */
    private Long flowNodeId;

    /** 流程节点名称 */
    private String flowNodeName;

    /** pdf路径（资金使用申请表） */
    private String pdfUrl;

    /** pdf路径（资金划转通知书） */
    private String pdfUrlNotice;

    /** 业务状态 0暂存 1申请拨付 2正在审核 3申请成功 4申请退回 */
    private Integer businessState;

    /** 拨付状态 0待拨付 1已拨付 */
    private Integer applicationState;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    private Date createTime;
    private Date updateTime;
    private String remark;

    public Appropriation(){}

    public Appropriation(Bfxx bfxx, Account bfzh, Account skzh, Org org, ProjectAccount projectAccount) {
        this.businessNumber = bfxx.getYwbh();
        this.director = bfxx.getLxr();
        this.phone = bfxx.getLxdh();
        this.applyAmount = bfxx.getXmsqzj();
        this.purpose = bfxx.getZjyt();
        this.remark = bfxx.getZjyt();
        this.createTime = bfxx.getSqrq();
        this.updateTime = bfxx.getShrq();
        if (bfxx.getBfzt1() != null && bfxx.getBfzt1() == 1) {
            this.applicationState = 1;
        } else {
            this.applicationState = 0;
        }

        this.bankCode = bfzh.getBankCode();
        this.appropriationAccountId = bfzh.getId();
        this.appropriationBank = bfzh.getBankName();
        this.appropriationName = bfzh.getName();
        this.appropriationAccount = bfzh.getAccount();
        this.appropriationOpenAddress = bfzh.getOpenAddress();

        this.orgId = org.getId();
        this.orgName = org.getOrgName();

        this.projectId = projectAccount.getProjectId();
        this.projectAccountId = projectAccount.getId();
        this.projectNumber = projectAccount.getProjectNumber();
        this.projectName = projectAccount.getProjectName();

        if (skzh == null) {
            this.collectionBank = bfxx.getSkyh();
            if (bfxx.getSkhm() != null) {
                this.collectionName = bfxx.getSkhm().length() < 50 ? bfxx.getSkhm() : bfxx.getSkhm().substring(0, 13);
            }
            this.collectionAccount = bfxx.getSkzh();
            this.collectionOpenAddress = "";
        } else {
            this.collectionAccountId = skzh.getId();
            this.collectionBank = skzh.getBankName();
            this.collectionName = skzh.getName();
            this.collectionAccount = skzh.getAccount();
            this.collectionOpenAddress = skzh.getOpenAddress();
        }
        this.delFlag = 1;
        this.businessState = 3;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDirector() {
        return director;
    }

    public void setDirector(String director) {
        this.director = director;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getApplicationType() {
        return applicationType;
    }

    public void setApplicationType(Integer applicationType) {
        this.applicationType = applicationType;
    }

    public Long getAppropriationAccountId() {
        return appropriationAccountId;
    }

    public void setAppropriationAccountId(Long appropriationAccountId) {
        this.appropriationAccountId = appropriationAccountId;
    }

    public String getAppropriationBank() {
        return appropriationBank;
    }

    public void setAppropriationBank(String appropriationBank) {
        this.appropriationBank = appropriationBank;
    }

    public String getAppropriationName() {
        return appropriationName;
    }

    public void setAppropriationName(String appropriationName) {
        this.appropriationName = appropriationName;
    }

    public String getAppropriationAccount() {
        return appropriationAccount;
    }

    public void setAppropriationAccount(String appropriationAccount) {
        this.appropriationAccount = appropriationAccount;
    }

    public String getAppropriationOpenAddress() {
        return appropriationOpenAddress;
    }

    public void setAppropriationOpenAddress(String appropriationOpenAddress) {
        this.appropriationOpenAddress = appropriationOpenAddress;
    }

    public Long getCollectionAccountId() {
        return collectionAccountId;
    }

    public void setCollectionAccountId(Long collectionAccountId) {
        this.collectionAccountId = collectionAccountId;
    }

    public String getCollectionBank() {
        return collectionBank;
    }

    public void setCollectionBank(String collectionBank) {
        this.collectionBank = collectionBank;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }

    public String getCollectionOpenAddress() {
        return collectionOpenAddress;
    }

    public void setCollectionOpenAddress(String collectionOpenAddress) {
        this.collectionOpenAddress = collectionOpenAddress;
    }

    public Integer getCollectionType() {
        return collectionType;
    }

    public void setCollectionType(Integer collectionType) {
        this.collectionType = collectionType;
    }

    public Integer getAppropriationType() {
        return appropriationType;
    }

    public void setAppropriationType(Integer appropriationType) {
        this.appropriationType = appropriationType;
    }

    public BigDecimal getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(BigDecimal applyAmount) {
        this.applyAmount = applyAmount;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public Long getFlowNodeId() {
        return flowNodeId;
    }

    public void setFlowNodeId(Long flowNodeId) {
        this.flowNodeId = flowNodeId;
    }

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        this.flowNodeName = flowNodeName;
    }

    public String getPdfUrl() {
        return pdfUrl;
    }

    public void setPdfUrl(String pdfUrl) {
        this.pdfUrl = pdfUrl;
    }

    public String getPdfUrlNotice() {
        return pdfUrlNotice;
    }

    public void setPdfUrlNotice(String pdfUrlNotice) {
        this.pdfUrlNotice = pdfUrlNotice;
    }

    public Integer getBusinessState() {
        return businessState;
    }

    public void setBusinessState(Integer businessState) {
        this.businessState = businessState;
    }

    public Integer getApplicationState() {
        return applicationState;
    }

    public void setApplicationState(Integer applicationState) {
        this.applicationState = applicationState;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
