package com.cool.bang.modules.mysql.domain;

import java.util.Date;

/**
 * 划拨通知书
 *
 * @author PeiZhi Guo
 * 2023-1-29 11:24
 */
public class AppropriationNotice {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 银行主键 */
    private String bankCode;

    /** 企业主键 */
    private Integer orgId;

    /** 开发企业 */
    private String orgName;

    /** 拨付主键 */
    private Long appropriationId;

    /** 项目虚拟户主键 */
    private Long projectAccountId;

    /** 项目名称 */
    private String projectName;

    /** 拨付账户主键 */
    private Long appropriationAccountId;

    /** 拨付银行 */
    private String appropriationBank;

    /** 拨付账户 */
    private String appropriationName;

    /** 拨付账号 */
    private String appropriationAccount;

    /** 开户网点 */
    private String appropriationOpenAddress;

    /** 收款账户主键 */
    private Long collectionAccountId;

    /** 收款银行 */
    private String collectionBank;

    /** 收款账户 */
    private String collectionName;

    /** 收款账号 */
    private String collectionAccount;

    /** 开户网点 */
    private String collectionOpenAddress;

    /** 资金用途 */
    private String purpose;

    /** pdf通知书路径 */
    private String pdfUrl;

    /** 是否撤销 0未撤销 1撤销 */
    private Integer isRescind;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    private Date createTime;
    private Date updateTime;
    private String remark;

    // ------ 非数据库字段 ------

    /** 金额大写 */
    private String amountUppercase;

    /** 二维码 */
    private String qrCode;

    /** 初始化通知书 */
    public void initNotice(Appropriation param) {
        this.bankCode = param.getBankCode();
        this.appropriationId = param.getId();
        this.businessNumber = param.getBusinessNumber();
        this.orgId = param.getOrgId();
        this.orgName = param.getOrgName();
        this.appropriationAccountId = param.getAppropriationAccountId();
        this.appropriationBank = param.getAppropriationBank();
        this.appropriationName = param.getAppropriationName();
        this.appropriationAccount = param.getAppropriationAccount();
        this.appropriationOpenAddress = param.getAppropriationOpenAddress();
        this.collectionAccountId = param.getCollectionAccountId();
        this.collectionBank = param.getCollectionBank();
        this.collectionName = param.getCollectionName();
        this.collectionAccount = param.getCollectionAccount();
        this.collectionOpenAddress = param.getCollectionOpenAddress();
        this.projectAccountId = param.getProjectAccountId();
        this.projectName = param.getProjectName();
        this.purpose = param.getPurpose();
        this.isRescind = 0;
        this.delFlag = 1;
        this.createTime = param.getCreateTime();
        this.updateTime = param.getCreateTime();
        this.remark = param.getRemark();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getAppropriationId() {
        return appropriationId;
    }

    public void setAppropriationId(Long appropriationId) {
        this.appropriationId = appropriationId;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getAppropriationAccountId() {
        return appropriationAccountId;
    }

    public void setAppropriationAccountId(Long appropriationAccountId) {
        this.appropriationAccountId = appropriationAccountId;
    }

    public String getAppropriationBank() {
        return appropriationBank;
    }

    public void setAppropriationBank(String appropriationBank) {
        this.appropriationBank = appropriationBank;
    }

    public String getAppropriationName() {
        return appropriationName;
    }

    public void setAppropriationName(String appropriationName) {
        this.appropriationName = appropriationName;
    }

    public String getAppropriationAccount() {
        return appropriationAccount;
    }

    public void setAppropriationAccount(String appropriationAccount) {
        this.appropriationAccount = appropriationAccount;
    }

    public String getAppropriationOpenAddress() {
        return appropriationOpenAddress;
    }

    public void setAppropriationOpenAddress(String appropriationOpenAddress) {
        this.appropriationOpenAddress = appropriationOpenAddress;
    }

    public Long getCollectionAccountId() {
        return collectionAccountId;
    }

    public void setCollectionAccountId(Long collectionAccountId) {
        this.collectionAccountId = collectionAccountId;
    }

    public String getCollectionBank() {
        return collectionBank;
    }

    public void setCollectionBank(String collectionBank) {
        this.collectionBank = collectionBank;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }

    public String getCollectionOpenAddress() {
        return collectionOpenAddress;
    }

    public void setCollectionOpenAddress(String collectionOpenAddress) {
        this.collectionOpenAddress = collectionOpenAddress;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getPdfUrl() {
        return pdfUrl;
    }

    public void setPdfUrl(String pdfUrl) {
        this.pdfUrl = pdfUrl;
    }

    public Integer getIsRescind() {
        return isRescind;
    }

    public void setIsRescind(Integer isRescind) {
        this.isRescind = isRescind;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getAmountUppercase() {
        return amountUppercase;
    }

    public void setAmountUppercase(String amountUppercase) {
        this.amountUppercase = amountUppercase;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }
}
