package com.cool.bang.modules.mysql.domain;

import com.cool.bang.modules.oracle.domain.po.Gcjdsq;

import java.util.Date;

/**
 * 形象进度业务
 *
 * @author PeiZhi Guo
 * 2022-09-09 15:57
 */
public class Progress {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 企业主键 */
    private Integer orgId;

    /** 企业名称 */
    private String orgName;

    /** 项目主键 */
    private Long projectAccountId;

    /** 项目名称 */
    private String projectName;

    /** 流程号 */
    private String flowNumber;

    /** 下一个流程节点 */
    private Long flowNodeId;

    /** 流程节点名称 */
    private String flowNodeName;

    /** 业务状态 0暂存 1发起申请 2正在审核 3申请成功 4申请退回 */
    private Integer businessState;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    private Date createTime;
    private Date updateTime;

    /** 形象进度申请明细 */
    private ProgressDetail progressDetail;

    public ProgressDetail getProgressDetail() {
        return progressDetail;
    }

    public Progress(){}

    public Progress(Org org, ProjectAccount projectAccount, Gcjdsq gcjdsq) {
        this.businessNumber = "JD20230000" + String.format("%06d", gcjdsq.getId());
        this.orgId = org.getId();
        this.orgName = org.getOrgName();
        if (projectAccount != null) {
            this.projectAccountId = projectAccount.getId();
            this.projectName = projectAccount.getProjectName();
        }

        this.businessState = stateSwitch(gcjdsq.getShzt());
        this.delFlag = 1;
        this.createTime = gcjdsq.getSqsj();
        this.updateTime = gcjdsq.getShsj();
    }


    public Integer stateSwitch(Integer data){
        switch (data){
            case 1:
                return 3;
            case 0:
                return 1;
            case -1:
                return 4;
            default:
                return 1;
        }
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setProgressDetail(ProgressDetail progressDetail) {
        this.progressDetail = progressDetail;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public Long getFlowNodeId() {
        return flowNodeId;
    }

    public void setFlowNodeId(Long flowNodeId) {
        this.flowNodeId = flowNodeId;
    }

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        this.flowNodeName = flowNodeName;
    }

    public Integer getBusinessState() {
        return businessState;
    }

    public void setBusinessState(Integer businessState) {
        this.businessState = businessState;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
