package com.cool.bang.modules.mysql.domain;

import com.cool.bang.modules.oracle.domain.po.TkInfo;

import java.math.BigDecimal;
import java.util.Date;

public class Refund {


    private Long id;
    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 银行编码
     */
    private String bankCode;

    /**
     * 企业主键
     */
    private Integer orgId;

    /**
     * 开发企业
     */
    private String orgName;

    private Long projectAccountId;

    /**
     * 项目编码
     */
    private String projectNumber;

    /**
     * 项目名称
     */
    private String projectName;

    private Long buildingAccountId;

    private String buildingName;

    private Long contractId;

    private String contractNumber;

    private BigDecimal contractPrice;


    /**
     * 买受人
     */
    private String buyer;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 付款账户主键
     */
    private Long accountId;

    private Integer accountType;

    private String appropriationBank;

    private String appropriationAccount;


    /**
     * 收款银行
     */
    private String collectionBank;

    /**
     * 收款户名
     */
    private String collectionName;

    /**
     * 收款账号
     */
    private String collectionAccount;

    /**
     * 开户网点
     */
    private String collectionOpenAddress;

    /**
     * 退款金额
     */
    private BigDecimal refundAmount;

    private String signer;

    private String signerPhone;
    /**
     * 流程号
     */
    private String flowNumber;

    /**
     * 流程节点id
     */
    private Long flowNodeId;

    /**
     * 流程节点名称
     */
    private String flowNodeName;

    /**
     * 业务状态 0暂存 1发起申请 2正在审核 3申请成功 4申请退回
     */
    private Integer businessState;

    /**
     * 退款状态 0待退款 1已退款
     */
    private String appropriationStatus;

    /**
     * 删除标识 1正常 0删除
     */
    private Integer delFlag;

    private String houseAddress;

    private Date createTime;



    public Refund(TkInfo item, Org org, ProjectAccount projectAccount, Account account,ContractInfo contract,BuildingAccount buildingAccount) {
        this.businessNumber = item.getBusinessNumber();
        this.orgId = org.getId();
        this.orgName = org.getOrgName();
        if (null != projectAccount) {
            this.projectAccountId = projectAccount.getAccountId();
            this.projectName = projectAccount.getProjectName();
            this.projectNumber = projectAccount.getProjectNumber();
        }
        if(buildingAccount != null){
            this.buildingAccountId = buildingAccount.getId();
            this.buildingName = buildingAccount.getBuildingName();
        }
        this.buyer = item.getBuyer();
        this.idCard = item.getIdCard();
        if (null != account) {
            this.bankCode = account.getBankCode();
            this.accountId = account.getId();
            this.accountType = account.getType();
            this.appropriationBank = account.getBankName();
            this.appropriationAccount = account.getAccount();
        }
        this.collectionName = item.getCollectionName();
        this.collectionAccount = item.getCollectionAccount();
        this.collectionBank = item.getCollectionBank();
        this.signer = null;
        this.signerPhone = null;
        this.contractNumber = item.getHtBh();
        if(contract != null){
            this.contractId = contract.getId();
            this.contractPrice = contract.getContractPrice();
        }
        //this.contractPrice = item.getHtZj();
        this.delFlag = 1;
        this.refundAmount = item.getMoney();
        this.createTime = item.getSqsj();
    }





    public String getSigner() {
        return signer;
    }

    public void setSigner(String signer) {
        this.signer = signer;
    }

    public String getSignerPhone() {
        return signerPhone;
    }

    public void setSignerPhone(String signerPhone) {
        this.signerPhone = signerPhone;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }


    public Long getContractId() {
        return contractId;
    }

    public void setContractId(Long contractId) {
        this.contractId = contractId;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public BigDecimal getContractPrice() {
        return contractPrice;
    }

    public void setContractPrice(BigDecimal contractPrice) {
        this.contractPrice = contractPrice;
    }

    public String getBuyer() {
        return buyer;
    }

    public void setBuyer(String buyer) {
        this.buyer = buyer;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public String getCollectionBank() {
        return collectionBank;
    }

    public void setCollectionBank(String collectionBank) {
        this.collectionBank = collectionBank;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }

    public String getCollectionOpenAddress() {
        return collectionOpenAddress;
    }

    public void setCollectionOpenAddress(String collectionOpenAddress) {
        this.collectionOpenAddress = collectionOpenAddress;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public Long getFlowNodeId() {
        return flowNodeId;
    }

    public void setFlowNodeId(Long flowNodeId) {
        this.flowNodeId = flowNodeId;
    }

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        this.flowNodeName = flowNodeName;
    }

    public Integer getBusinessState() {
        return businessState;
    }

    public void setBusinessState(Integer businessState) {
        this.businessState = businessState;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public Long getBuildingAccountId() {
        return buildingAccountId;
    }

    public void setBuildingAccountId(Long buildingAccountId) {
        this.buildingAccountId = buildingAccountId;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public String getAppropriationBank() {
        return appropriationBank;
    }

    public void setAppropriationBank(String appropriationBank) {
        this.appropriationBank = appropriationBank;
    }

    public String getAppropriationAccount() {
        return appropriationAccount;
    }

    public void setAppropriationAccount(String appropriationAccount) {
        this.appropriationAccount = appropriationAccount;
    }

    public BigDecimal getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    public String getAppropriationStatus() {
        return appropriationStatus;
    }

    public void setAppropriationStatus(String appropriationStatus) {
        this.appropriationStatus = appropriationStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getHouseAddress() {
        return houseAddress;
    }

    public void setHouseAddress(String houseAddress) {
        this.houseAddress = houseAddress;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
