package com.cool.bang.modules.mysql.domain;

import com.cool.bang.common.util.DateUtil;
import com.cool.bang.modules.oracle.domain.po.Jgztg;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 监管资金转托管申请
 *
 * @author Guo
 * 2023-03-07 16:32
 */
public class SuperviseTo{

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 银行编号 存入拨款银行code*/
    private String bankCode;

    /** 企业主键 */
    private Integer orgId;

    /** 开发企业 */
    private String orgName;

    /** 项目主键 */
    private Long projectId;

    /** 项目编码 */
    private String projectNumber;

    /** 项目名称 */
    private String projectName;

    /** 项目虚拟户主键 */
    private Long projectAccountId;

    /** 联系人*/
    private String director;

    /** 联系电话*/
    private String phone;

    /** 拨付账户主键 */
    private Long appropriationAccountId;

    /** 拨付银行 */
    private String appropriationBank;

    /** 拨付户名 */
    private String appropriationName;

    /** 拨付账号 */
    private String appropriationAccount;

    /** 开户网点 */
    private String appropriationOpenAddress;

    /** 收款账户主键 */
    private Long collectionAccountId;

    /** 收款银行 */
    private String collectionBank;

    /** 收款户名 */
    private String collectionName;

    /** 收款账号 */
    private String collectionAccount;

    /** 开户网点 */
    private String collectionOpenAddress;

    /** 转入资金 */
    private BigDecimal transferAmount;

    /** 流程号 */
    private String flowNumber;

    /** 流程节点主键 */
    private Long flowNodeId;

    /** 流程节点名称 */
    private String flowNodeName;

    /** 业务状态 0暂存 1申请中 2申请成功 3申请退回 */
    private Integer businessState;

    /** 拨付状态 0待拨付 1拨付待入账 2已入账 */
    private Integer applicationState;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    private Date createTime;
    private Date updateTime;
    private String remark;

    /** 楼幢详情 */
    private List<SuperviseToDetail> details;

    public SuperviseTo(){}

    public SuperviseTo(Account superviseAccount, Account trusteeshipAccount,Org org,Project project, Jgztg jgztg){
        this.businessNumber = jgztg.getYwbh();
        this.bankCode = superviseAccount.getBankCode();
        this.orgId = org.getId();
        this.orgName = org.getOrgName();
        this.projectId = project.getId();
        this.projectName = project.getProjectName();
        this.projectNumber = project.getProjectNumber();

        this.projectAccountId = null;

        this.director = jgztg.getLxr();
        this.phone = jgztg.getLxdh();
        this.createTime = jgztg.getSqrq();

        this.appropriationAccountId = superviseAccount.getId();
        this.appropriationBank = superviseAccount.getBankName();
        this.appropriationName = superviseAccount.getName();
        this.appropriationAccount = superviseAccount.getAccount();
        this.appropriationOpenAddress = superviseAccount.getOpenAddress();

        this.collectionAccountId = trusteeshipAccount.getId();
        this.collectionBank = trusteeshipAccount.getBankName();
        this.collectionName = trusteeshipAccount.getName();
        this.collectionAccount = trusteeshipAccount.getAccount();
        this.collectionOpenAddress = trusteeshipAccount.getOpenAddress();

        this.transferAmount = jgztg.getXmzrje();
        this.businessState = 3; //全部已经申请通过
        this.applicationState = jgztg.getBfzt() == 0 ? 0 : 2;
        this.delFlag = 1;
        this.createTime = jgztg.getSqrq();
        this.updateTime = jgztg.getShrq();
        this.remark = jgztg.getPayuse();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getCollectionOpenAddress() {
        return collectionOpenAddress;
    }

    public void setCollectionOpenAddress(String collectionOpenAddress) {
        this.collectionOpenAddress = collectionOpenAddress;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public String getDirector() {
        return director;
    }

    public void setDirector(String director) {
        this.director = director;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getAppropriationAccountId() {
        return appropriationAccountId;
    }

    public void setAppropriationAccountId(Long appropriationAccountId) {
        this.appropriationAccountId = appropriationAccountId;
    }

    public String getAppropriationBank() {
        return appropriationBank;
    }

    public void setAppropriationBank(String appropriationBank) {
        this.appropriationBank = appropriationBank;
    }

    public String getAppropriationName() {
        return appropriationName;
    }

    public void setAppropriationName(String appropriationName) {
        this.appropriationName = appropriationName;
    }

    public String getAppropriationAccount() {
        return appropriationAccount;
    }

    public void setAppropriationAccount(String appropriationAccount) {
        this.appropriationAccount = appropriationAccount;
    }

    public String getAppropriationOpenAddress() {
        return appropriationOpenAddress;
    }

    public void setAppropriationOpenAddress(String appropriationOpenAddress) {
        this.appropriationOpenAddress = appropriationOpenAddress;
    }

    public Long getCollectionAccountId() {
        return collectionAccountId;
    }

    public void setCollectionAccountId(Long collectionAccountId) {
        this.collectionAccountId = collectionAccountId;
    }

    public String getCollectionBank() {
        return collectionBank;
    }

    public void setCollectionBank(String collectionBank) {
        this.collectionBank = collectionBank;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }

    public BigDecimal getTransferAmount() {
        return transferAmount;
    }

    public void setTransferAmount(BigDecimal transferAmount) {
        this.transferAmount = transferAmount;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public Long getFlowNodeId() {
        return flowNodeId;
    }

    public void setFlowNodeId(Long flowNodeId) {
        this.flowNodeId = flowNodeId;
    }

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        this.flowNodeName = flowNodeName;
    }

    public Integer getBusinessState() {
        return businessState;
    }

    public void setBusinessState(Integer businessState) {
        this.businessState = businessState;
    }

    public Integer getApplicationState() {
        return applicationState;
    }

    public void setApplicationState(Integer applicationState) {
        this.applicationState = applicationState;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public List<SuperviseToDetail> getDetails() {
        return details;
    }

    public void setDetails(List<SuperviseToDetail> details) {
        this.details = details;
    }
}
