package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Repository
public interface MySqlMapper {

    /**
     * 插入监管开户申请业务表数据
     * @param superviseBusinessList
     * @return
     */
    int insertSuperviseBusiness(@Param("list") List<SuperviseBusiness> superviseBusinessList);

    int insertSuperviseRelieve(@Param("list") String bankAccount);

    int insertSuperviseTo(SuperviseTo superviseTo);

    int insertSuperviseToDetail(@Param("list")List<SuperviseToDetail> superviseToDetailList);

    int insertSuperviseToPosting(@Param("list")List<SuperviseToPosting> superviseToPostingList);

    int insertSuperviseToOutgoing(@Param("list")List<SuperviseToOutgoing> superviseToOutgoingList);

    int insertProgress(Progress progress);

    int insertProgressDetail(@Param("list") List<ProgressDetail> progressDetailList);

    int insertAppropriation(Appropriation appropriation);

    int insertAppropriationDetail(@Param("list")List<AppropriationDetail> appropriationDetails);

    int insertAppropriationOutgoing(AppropriationOutgoing outgoing);

    int insertAppropriationPosting(AppropriationPosting posting);

    int insertRelieve(Relieve relieve);

    /**
     * 更新楼幢字符串
     */
    int updateRelieveBuilding(@Param("id") Long id, @Param("relieveBuilding") String relieveBuilding);

    int insertRelieveDetail(@Param("list") List<RelieveDetail> relieveDetailList);

    int insertContract(@Param("list") List<Contract> contracts);

    int insertFund(@Param("list") List<Fund> funds);

    //根据 合同编号查询合同id
    Long getContractIdByNumber(@Param("htbh") String htbh);

    int insertEarnest(@Param("list") List<Earnest> earnests);

    int insertRefund(Refund refund);

    ContractInfo getInfoByNumber(@Param("htBh") String htBh);

    int insertFcTrade(@Param("list") List<FcTrade> fcTrades);

    /**
     * 查询正常的 托管项目
     * @return
     */
    List<Map<String, Object>> selectTgXm();

    /**
     * 根据项目id 查询项目虚拟户
     * @param
     * @return
     */
    List<Map<String, Object>> selectXmAccountByProjectId(@Param("projectId") Long projectId);

    List<Map<String, Object>> selectBuildingBy(@Param("projectId") Long id,@Param("projectAccountId") Long projectAccountId);

    BigDecimal getAccountBalanceByNumber(@Param("buildingNumber") String buildingNumber);

    /**
     * 更新 building_account
     * @param lzbh
     * @param
     * @param
     * @return
     */
    int updateBuildingAccountByLZBH(@Param("lzbh") String lzbh,@Param("name") String name,@Param("id") int id);

    /**
     * 查询八个托管账户的信息
     * @return
     */
    List<Account> selectTgAccountInfo();

    /**
     * 更新楼幢账户表额度内余额
     */
    int updateInLimitFund();

    /**
     * 更新楼幢账户表主键
     */
    int updateBuildingAccountId();

    /**
     * 银行流水编号
     * @param serialNumbers
     * @return
     */
    List<Account> selectTsDzByserial(@Param("serialNumbers") List<String> serialNumbers);

    /**
     * 获取托管账户的交存
     * @return
     */
    List<FundInfo> getTgFund();

    /**
     * 根据业务编号查询 交易 金额
     * @param businessNumber
     * @return
     */
    BigDecimal getAmountByBusinessNumber(@Param("businessNumber") String businessNumber);

    /**
     * 获取projectAccountId
     * @param aregId
     * @return
     */
    Long getProjectAccountIdByAregId(@Param("aregId") Long aregId);
}
