package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.ProjectAccount;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;

import java.util.List;

@Repository
public interface ProjectAccountMapper {

    /**
     * 插入项目虚拟户表数据
     * @param projectAccount
     * @return
     */
    int insertProjectAccount(ProjectAccount projectAccount);

    /**
     * 通过yszjjg-aregid查询
     * @param aregid
     * @return
     */
    ProjectAccount selectByAregid(Integer aregid);

    /**
     * 变更项目虚拟户解除信息
     * @param aregid
     * @param sqrq
     * @return
     */
    int updateRelieveByAregid(@Param("aregid") Integer aregid, @Param("jcrq") Date jcrq);


    int updateKeepAmount(Long id);

    int updateTrusteeshipInTransit(Long id);

    int updateSuperviseInTransit(Long id);

    List<ProjectAccount> selectByAccount(Long projectId);



    /**
     * 根据id 查询 信息
     * @param id
     * @return
     */
    ProjectAccount getInfoById(@Param("id") Long id);



}
