package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.Project;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProjectMapper {

    /**
     * 插入项目表数据
     * @param projectList
     * @return
     */
    int insertProject(@Param("list") List<Project> projectList);

    /**
     * 通过项目编号查询
     * @param projectNumber
     * @return
     */
    Project selectByProjectNumber(String projectNumber);

    /**
     * 查询房屋总套数
     * @param projectNumber
     * @return
     */
    Integer selectProjectHouseTotal(String projectNumber);

    int updateRelieve(@Param("id")Long id, @Param("state")Integer state);

    /**
     * 更新项目监管楼幢数量
     */
    int updateBuildTotal();

    /**
     * 更新项目监管楼幢面积
     */
    int updateBuildArea();

    /**
     * 更新项目监管金额
     */
    int updateSuperviseAmount();
}
